ru.bitel.bgbilling.kernel.network.flow

## Class SnmpFlowRecord.SnmpFlowInput

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.flow.Data
  - - ru.bitel.bgbilling.kernel.network.flow.SnmpFlowRecord
    - - ru.bitel.bgbilling.kernel.network.flow.SnmpFlowRecord.SnmpFlowInput

- Enclosing class:
    SnmpFlowRecord

      public static class SnmpFlowRecord.SnmpFlowInput
      extends SnmpFlowRecord

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.flow.SnmpFlowRecord

      `SnmpFlowRecord.SnmpFlowInput, SnmpFlowRecord.SnmpFlowOutput`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.flow.SnmpFlowRecord

      `data, FIX_OVERFLOW, lastSnmp, RECORD_SIZE, snmpAdminStatus, snmpInputOctets, snmpInterface, snmpOperStatus, snmpOutputOctets, snmpStatusLastChange, snmpSysUptime`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.flow.Data

      `diffServ, dstAddress, dstPort, first, inputInterface, ipv4DstAddress, ipv4SrcAddress, ipv6DstAddress, ipv6SrcAddress, last, milliseconds, nextHop, octets, outputInterface, packets, protocol, srcAddress, srcPort`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpFlowInput(java.util.Map<java.lang.Integer,SnmpFlowRecord> lastSnmp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fillData(java.nio.ByteBuffer byteBuffer)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.flow.SnmpFlowRecord

      `getData, getMilliseconds, snmpGetInteface, toString`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.flow.Data

      `copy, getDiffServ, getDstAddress, getDstIpAddress, getDstPort, getFirst, getInputInterface, getLast, getNextHop, getOctets, getOutputInterface, getPackets, getProtocol, getSrcAddress, getSrcIpAddress, getSrcPort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpFlowInput

          public SnmpFlowInput(java.util.Map<java.lang.Integer,SnmpFlowRecord> lastSnmp)

  - ### Method Detail

    - #### fillData

          public void fillData(java.nio.ByteBuffer byteBuffer)

      Overrides:
        `fillData` in class `SnmpFlowRecord`